commit a862b815b9f46f7d240201146bfa6dfa77a7f35a
Author: b.stoever <stoever@bioinfweb.info>
Date:   Fri Nov 18 15:45:02 2016 +0100

    Missing files from last commit added.

diff --git a/eu.etaxonomy.taxeditor.cdmlib/.classpath b/eu.etaxonomy.taxeditor.cdmlib/.classpath
index 87625512d..d09ef07c6 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/.classpath
+++ b/eu.etaxonomy.taxeditor.cdmlib/.classpath
@@ -1,251 +1,251 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
-	<classpathentry exported="true" kind="lib" path="lib/spring-security-oauth2-2.0.11.RELEASE.jar"/>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry kind="src" path="src/main/java"/>
-	<classpathentry kind="src" path="src/main/resources"/>
-	<classpathentry exported="true" kind="lib" path="lib/activation-1.1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/antlr-2.7.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/aopalliance-1.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/apache-log4j-extras-1.2.17.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/aspectjrt-1.8.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/aspectjweaver-1.8.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/avro-1.6.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-anim-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-awt-util-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-bridge-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-css-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-dom-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-ext-1.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-extension-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-gvt-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-js-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-parser-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-script-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-svg-dom-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-svggen-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-transcoder-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-util-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/batik-xml-1.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/c3p0-0.9.5.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-4.4.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-ext/4.3.0-SNAPSHOT/cdmlib-ext-4.4.0-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-io/4.3.0-SNAPSHOT/cdmlib-io-4.4.0-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-model/4.3.0-SNAPSHOT/cdmlib-model-4.4.0-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-4.4.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-4.4.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-4.4.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-services/4.3.0-SNAPSHOT/cdmlib-services-4.4.0-SNAPSHOT-sources.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cdmlib-test-4.4.0-SNAPSHOT.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cglib-3.2.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/cglib-nodep-3.2.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/classmate-1.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/codemodel-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/com.springsource.org.aopalliance-1.0.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/com.springsource.org.apache.commons.logging-1.1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-beanutils-1.9.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-codec-1.10.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-collections-3.2.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-csv-1.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-dbcp-1.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-io-2.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-lang-2.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-lang3-3.3.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/commons-pool-1.5.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/concurrent-1.3.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/dbunit-2.4.9.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/dom4j-1.6.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/doxia-core-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/doxia-logging-api-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/doxia-module-apt-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/doxia-module-xhtml-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/doxia-sink-api-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/dozer-5.3.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/dtd-parser-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/easymock-2.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/easymockclassextension-2.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/ehcache-core-2.6.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/ezmorph-1.0.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/FastInfoset-1.2.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/fop-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/google-api-translate-java-0.92.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/guava-19.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/h2-1.4.190.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/h2mig_pagestore_addon.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hamcrest-core-1.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-c3p0-5.0.7.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-cglib-repack-2.1_3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-commons-annotations-5.0.1.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-core-5.0.7.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-ehcache-5.0.7.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-entitymanager-5.0.7.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-envers-5.0.7.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-jpa-2.1-api-1.0.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-4.2.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-analyzers-4.2.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-engine-5.5.2.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-orm-5.5.2.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-validator-5.2.2.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hibernate-validator-cdi-5.2.2.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/hsqldb-2.3.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpclient-4.5.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpclient-cache-4.2.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpcore-4.4.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/httpmime-4.5.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/icu4j-2.6.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/identificationKeyAPI-1.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/istack-commons-runtime-2.21.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/istack-commons-tools-2.21.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/itextpdf-5.5.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jackson-annotations-2.6.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jackson-core-2.6.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jackson-core-asl-1.8.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jackson-databind-2.6.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jackson-mapper-asl-1.8.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jakarta-regexp-1.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jandex-2.0.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/javassist-3.20.0-GA.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/javax.el-2.2.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/javax.el-api-2.2.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/javax.servlet-api-3.1.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb-api-2.2.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb-core-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb-jxc-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb-runtime-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb-xjc-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxb1-impl-2.2-EA.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jboss-logging-3.3.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jboss-transaction-api_1.1_spec-1.0.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jcl-over-slf4j-1.7.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jdbc4-2.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jdom-1.1.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jdom2-2.0.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jena-arq-2.13.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jena-core-2.13.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jena-iri-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jena-tdb-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/joda-time-2.9.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/json-20090211.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/json-lib-2.4-jdk15.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jsonld-java-0.5.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jsr250-api-1.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jta-1.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jtds-1.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/junit-4.12.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/junit-benchmarks-0.7.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/libthrift-0.9.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.17.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lsid-client-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lsid-server-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-analyzers-common-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-backward-codecs-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-core-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-facet-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-grouping-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-highlighter-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-join-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-memory-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-misc-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-queries-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-queryparser-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-sandbox-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/lucene-suggest-5.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/mapstruct-1.0.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/mchange-commons-java-0.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/mysql-connector-java-5.1.38.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/objenesis-1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/odfdom-0.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.8.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/ognl-2.6.9.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/opencsv-2.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/org.osgi.core-1.0.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/osgi-3.6.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/paranamer-2.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/plexus-classworlds-1.2-alpha-9.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/plexus-component-annotations-1.5.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/plexus-container-default-1.0-alpha-30.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/plexus-utils-3.0.15.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/poi-3.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-3.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-schemas-3.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/postgresql-9.4-1206-jdbc4.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/relaxngDatatype-20020414.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/rngom-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/sanselan-0.97-incubator.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/Saxon-HE-9.7.0-2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/servlet-api-2.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/slf4j-api-1.7.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/slf4j-log4j12-1.7.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/slf4j-nop-1.7.13.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/snappy-java-1.0.4.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/solr-analysis-extras-3.6.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/solr-core-3.6.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/solr-solrj-3.6.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-aop-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-aspects-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-beans-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-context-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-context-support-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-core-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-expression-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-jdbc-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-modules-cache-0.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-orm-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-oxm-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-plugin-core-1.2.0.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-plugin-metadata-1.2.0.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-security-config-4.0.3.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-security-core-4.0.3.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-security-web-4.0.3.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-test-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-tx-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-web-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/spring-webmvc-4.2.4.RELEASE.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-core-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-schema-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-spi-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-spring-web-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-swagger-common-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/springfox-swagger2-2.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/standard-1.1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/stax-1.2.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/stax-api-1.0.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/stax-ex-1.7.7.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/swagger-annotations-1.5.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/swagger-models-1.5.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/tools.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/txw2-2.2.11.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-core-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-database-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-dbmaintainer-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-dbunit-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-easymock-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-inject-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-mock-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-orm-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/unitils-spring-3.4.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/usertype.jodatime-2.0.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/usertype.spi-2.0.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/validation-api-1.1.0.Final.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/wsdl4j-1.6.3.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xalan-2.7.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xercesImpl-2.11.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xml-apis-1.0.b2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xml-apis-ext-1.3.04.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xml-resolver-1.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xmlbeans-2.6.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xmlgraphics-commons-1.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xmlpull-1.1.3.1.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xmlunit-1.6.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xom-1.2.5.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xpp3_min-1.1.4c.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xpp3-1.1.4c.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xsom-20140925.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/xstream-1.4.8.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/yjp-controller-api-redist-9.0.8.jar"/>
-	<classpathentry kind="output" path="target/classes"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src/main/java"/>
+	<classpathentry kind="src" path="src/main/resources"/>
+	<classpathentry exported="true" kind="lib" path="lib/activation-1.1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/antlr-2.7.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/aopalliance-1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/apache-log4j-extras-1.2.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/aspectjrt-1.8.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/aspectjweaver-1.8.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/avro-1.6.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-anim-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-awt-util-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-bridge-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-css-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-dom-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-ext-1.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-extension-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-gvt-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-js-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-parser-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-script-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-svg-dom-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-svggen-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-transcoder-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-util-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/batik-xml-1.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/c3p0-0.9.5.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-commons-4.4.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-ext-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-ext/4.3.0-SNAPSHOT/cdmlib-ext-4.4.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-io-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-io/4.3.0-SNAPSHOT/cdmlib-io-4.4.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-model-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-model/4.3.0-SNAPSHOT/cdmlib-model-4.4.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-persistence-4.4.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-print-4.4.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-remote-4.4.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-services-4.4.0-SNAPSHOT.jar" sourcepath="C:/Users/k.luther/.m2/repository/eu/etaxonomy/cdmlib-services/4.3.0-SNAPSHOT/cdmlib-services-4.4.0-SNAPSHOT-sources.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cdmlib-test-4.4.0-SNAPSHOT.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cglib-3.2.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/cglib-nodep-3.2.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/classmate-1.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/codemodel-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/com.springsource.org.aopalliance-1.0.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/com.springsource.org.apache.commons.logging-1.1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-beanutils-1.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-codec-1.10.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-collections-3.2.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-csv-1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-dbcp-1.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-io-2.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-lang-2.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-lang3-3.3.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-logging-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-pool-1.5.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/concurrent-1.3.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/dbunit-2.4.9.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/dom4j-1.6.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/doxia-core-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/doxia-logging-api-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/doxia-module-apt-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/doxia-module-xhtml-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/doxia-sink-api-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/dozer-5.3.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/dtd-parser-1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/easymock-2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/easymockclassextension-2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ehcache-core-2.6.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ezmorph-1.0.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/FastInfoset-1.2.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/fop-1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/google-api-translate-java-0.92.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/guava-19.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/h2-1.4.190.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/h2mig_pagestore_addon.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hamcrest-core-1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-c3p0-5.0.7.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-cglib-repack-2.1_3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-commons-annotations-5.0.1.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-core-5.0.7.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-ehcache-5.0.7.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-entitymanager-5.0.7.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-envers-5.0.7.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-jpa-2.1-api-1.0.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-4.2.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-analyzers-4.2.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-engine-5.5.2.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-search-orm-5.5.2.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-validator-5.2.2.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hibernate-validator-cdi-5.2.2.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hsqldb-2.3.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpclient-4.5.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpclient-cache-4.2.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpcore-4.4.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/httpmime-4.5.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/icu4j-2.6.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/identificationKeyAPI-1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/istack-commons-runtime-2.21.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/istack-commons-tools-2.21.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/itextpdf-5.5.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-annotations-2.6.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-core-2.6.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-core-asl-1.8.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-databind-2.6.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-mapper-asl-1.8.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jakarta-regexp-1.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jandex-2.0.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javassist-3.20.0-GA.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javax.el-2.2.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javax.el-api-2.2.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javax.servlet-api-3.1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb-api-2.2.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb-core-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb-jxc-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb-runtime-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb-xjc-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxb1-impl-2.2-EA.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jaxen-1.1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jboss-logging-3.3.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jboss-transaction-api_1.1_spec-1.0.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jcl-over-slf4j-1.7.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jdbc4-2.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jdom-1.1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jdom2-2.0.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-arq-2.13.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-core-2.13.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-iri-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jena-tdb-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/joda-time-2.9.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/json-20090211.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/json-lib-2.4-jdk15.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jsonld-java-0.5.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jsr250-api-1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jta-1.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jtds-1.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-4.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-benchmarks-0.7.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/libthrift-0.9.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/log4j-1.2.17.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lsid-client-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lsid-server-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-analyzers-common-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-backward-codecs-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-core-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-facet-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-grouping-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-highlighter-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-join-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-memory-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-misc-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-queries-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-queryparser-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-sandbox-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/lucene-suggest-5.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/mapstruct-1.0.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/mchange-commons-java-0.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/mysql-connector-java-5.1.38.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/objenesis-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/odfdom-0.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.8.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ognl-2.6.9.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/opencsv-2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/org.osgi.core-1.0.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/osgi-3.6.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/paranamer-2.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/plexus-classworlds-1.2-alpha-9.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/plexus-component-annotations-1.5.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/plexus-container-default-1.0-alpha-30.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/plexus-utils-3.0.15.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-3.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-3.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/poi-ooxml-schemas-3.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/postgresql-9.4-1206-jdbc4.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/relaxngDatatype-20020414.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/rngom-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/sanselan-0.97-incubator.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/Saxon-HE-9.7.0-2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/servlet-api-2.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-api-1.7.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-log4j12-1.7.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-nop-1.7.13.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/snappy-java-1.0.4.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/solr-analysis-extras-3.6.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/solr-core-3.6.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/solr-solrj-3.6.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-aop-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-aspects-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-beans-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-context-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-context-support-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-core-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-expression-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-jdbc-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-modules-cache-0.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-orm-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-oxm-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-plugin-core-1.2.0.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-plugin-metadata-1.2.0.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-security-config-4.0.3.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-security-core-4.0.3.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-security-web-4.0.3.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-test-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-tx-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-web-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-webmvc-4.2.4.RELEASE.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-core-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-schema-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-spi-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-spring-web-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-swagger-common-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/springfox-swagger2-2.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/standard-1.1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/stax-1.2.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/stax-api-1.0.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/stax-ex-1.7.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/swagger-annotations-1.5.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/swagger-models-1.5.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/tools.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/txw2-2.2.11.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-core-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-database-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-dbmaintainer-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-dbunit-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-easymock-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-inject-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-mock-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-orm-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/unitils-spring-3.4.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/usertype.jodatime-2.0.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/usertype.spi-2.0.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/validation-api-1.1.0.Final.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/wsdl4j-1.6.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xalan-2.7.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xercesImpl-2.11.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xml-apis-1.0.b2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xml-apis-ext-1.3.04.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xml-resolver-1.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xmlbeans-2.6.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xmlgraphics-commons-1.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xmlpull-1.1.3.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xmlunit-1.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xom-1.2.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xpp3_min-1.1.4c.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xpp3-1.1.4c.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xsom-20140925.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xstream-1.4.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/yjp-controller-api-redist-9.0.8.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/spring-security-oauth2-2.0.11.RELEASE.jar"/>
+	<classpathentry kind="output" path="target/classes"/>
+</classpath>
diff --git a/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/AbstractExportSingleReadAlignmentWizardPage.java b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/AbstractExportSingleReadAlignmentWizardPage.java
new file mode 100644
index 000000000..c1f562251
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/AbstractExportSingleReadAlignmentWizardPage.java
@@ -0,0 +1,40 @@
+/**
+* Copyright (C) 2016 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.molecular.io.wizard;
+
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.jface.wizard.WizardPage;
+
+
+
+/**
+ * @author bstoe_01
+ * @date 18.11.2016
+ *
+ */
+public abstract class AbstractExportSingleReadAlignmentWizardPage extends WizardPage {
+    public AbstractExportSingleReadAlignmentWizardPage(String pageName, String title, ImageDescriptor titleImage) {
+        super(pageName, title, titleImage);
+    }
+
+
+    public AbstractExportSingleReadAlignmentWizardPage(String pageName) {
+        super(pageName);
+    }
+
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public ExportSingleReadAlignmentWizard getWizard() {
+        return (ExportSingleReadAlignmentWizard)super.getWizard();  // Would throw an exception, if this page is used within another wizard.
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/ExportSingleReadAlignmentOptionsPage.java b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/ExportSingleReadAlignmentOptionsPage.java
new file mode 100644
index 000000000..806523951
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.molecular/src/main/java/eu/etaxonomy/taxeditor/molecular/io/wizard/ExportSingleReadAlignmentOptionsPage.java
@@ -0,0 +1,183 @@
+// $Id$
+/**
+* Copyright (C) 2016 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.molecular.io.wizard;
+
+
+import org.eclipse.core.databinding.DataBindingContext;
+import org.eclipse.core.databinding.validation.MultiValidator;
+import org.eclipse.core.databinding.validation.ValidationStatus;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.jface.databinding.swt.ISWTObservableValue;
+import org.eclipse.jface.databinding.swt.SWTObservables;
+import org.eclipse.jface.databinding.wizard.WizardPageSupport;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.layout.FormAttachment;
+import org.eclipse.swt.layout.FormData;
+import org.eclipse.swt.layout.FormLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Text;
+
+import eu.etaxonomy.taxeditor.molecular.Messages;
+
+
+
+/**
+ * Wizard page that allows to specify which parts of a single read alignment shall be exported to an alignment file.
+ *
+ * @author Ben St&ouml;ver
+ * @date 18.04.2016
+ */
+public class ExportSingleReadAlignmentOptionsPage extends AbstractExportSingleReadAlignmentWizardPage {
+    private Text consensusSequenceLabelTextField;
+    private Button exportConsensusSequenceCB;
+    private Button exportSingleReadsCB;
+    private Button gapRadioButton;
+    private Button missingDataRadioButton;
+    private Button elongateSequecesCheckBox;
+
+
+    /**
+     * Create the wizard.
+     */
+    public ExportSingleReadAlignmentOptionsPage() {
+        super("ExportSingleReadAlignmentOptions");  //TODO Which pageName should be used here? Any conventions? //$NON-NLS-1$
+        setTitle("Export options");
+        setDescription("Specify additional export parameters.");
+    }
+
+
+    /**
+     * Create contents of the wizard.
+     *
+     * @param parent the parent component
+     */
+    @Override
+    public void createControl(Composite parent) {
+        DataBindingContext dbc = new DataBindingContext();
+        WizardPageSupport.create(this, dbc);
+
+        Composite container = new Composite(parent, SWT.NULL);
+
+        setControl(container);
+        container.setLayout(new FormLayout());
+
+        exportSingleReadsCB = new Button(container, SWT.CHECK);
+        FormData fd_exportSingleReadsCB = new FormData();
+        fd_exportSingleReadsCB.top = new FormAttachment(0, 40);
+        fd_exportSingleReadsCB.left = new FormAttachment(0, 10);
+        exportSingleReadsCB.setLayoutData(fd_exportSingleReadsCB);
+        exportSingleReadsCB.setText(Messages.wizardExportAlignmentExportSingleReads);
+        final ISWTObservableValue exportSingleReadsObservable = SWTObservables.observeSelection(exportSingleReadsCB);
+        dbc.bindValue(exportSingleReadsObservable, getWizard().getModel().getExportSingleReadsObservable());
+        exportSingleReadsCB.setSelection(false);
+        exportSingleReadsCB.setSelection(true);  // Must happen after the component has been bound to the model.
+
+
+        exportConsensusSequenceCB = new Button(container, SWT.CHECK);
+        exportConsensusSequenceCB.addSelectionListener(new SelectionAdapter() {
+            @Override
+            public void widgetSelected(SelectionEvent e) {
+                consensusSequenceLabelTextField.setEnabled(exportConsensusSequenceCB.getSelection());
+            }
+        });
+        FormData fd_exportConsensusSequenceCB = new FormData();
+        fd_exportConsensusSequenceCB.top = new FormAttachment(exportSingleReadsCB, 6);
+        fd_exportConsensusSequenceCB.left = new FormAttachment(0, 10);
+        exportConsensusSequenceCB.setLayoutData(fd_exportConsensusSequenceCB);
+        exportConsensusSequenceCB.setText(Messages.wizardExportAlignmentExportConsensusSeqLabel);
+        final ISWTObservableValue exportConsensusSequenceObservable = SWTObservables.observeSelection(exportConsensusSequenceCB);
+        dbc.bindValue(exportConsensusSequenceObservable, getWizard().getModel().getExportConsensusSequenceObservable());
+        exportConsensusSequenceCB.setSelection(false);
+        exportConsensusSequenceCB.setSelection(true);  // Must happen after the component has been bound to the model.
+
+        consensusSequenceLabelTextField = new Text(container, SWT.BORDER);
+        FormData fd_consensusSequenceNameTextField = new FormData();
+        fd_consensusSequenceNameTextField.bottom = new FormAttachment(exportConsensusSequenceCB, 32, SWT.BOTTOM);
+        fd_consensusSequenceNameTextField.top = new FormAttachment(exportConsensusSequenceCB, 6);
+        fd_consensusSequenceNameTextField.right = new FormAttachment(100, -10);
+        fd_consensusSequenceNameTextField.left = new FormAttachment(0, 32);
+        consensusSequenceLabelTextField.setLayoutData(fd_consensusSequenceNameTextField);
+        final ISWTObservableValue consensusSequenceLabelObservable = SWTObservables.observeText(consensusSequenceLabelTextField, SWT.Modify);
+        dbc.bindValue(consensusSequenceLabelObservable, getWizard().getModel().getConsensusSequenceLabelObservable());
+        consensusSequenceLabelTextField.setText("Consensus");
+
+        Label lblSpecifyTheSequences = new Label(container, SWT.NONE);
+        FormData fd_lblSpecifyTheSequences = new FormData();
+        fd_lblSpecifyTheSequences.top = new FormAttachment(0, 10);
+        fd_lblSpecifyTheSequences.left = new FormAttachment(0, 10);
+        lblSpecifyTheSequences.setLayoutData(fd_lblSpecifyTheSequences);
+        lblSpecifyTheSequences.setText("Specify the sequences to be exported:");
+
+        Label lblSpecifyAdditionalExport = new Label(container, SWT.NONE);
+        FormData fd_lblSpecifyAdditionalExport = new FormData();
+        fd_lblSpecifyAdditionalExport.top = new FormAttachment(consensusSequenceLabelTextField, 24);
+        fd_lblSpecifyAdditionalExport.left = new FormAttachment(exportSingleReadsCB, 0, SWT.LEFT);
+        lblSpecifyAdditionalExport.setLayoutData(fd_lblSpecifyAdditionalExport);
+        lblSpecifyAdditionalExport.setText("Specify additional export options:");
+
+        elongateSequecesCheckBox = new Button(container, SWT.CHECK);
+        elongateSequecesCheckBox.addSelectionListener(new SelectionAdapter() {
+            @Override
+            public void widgetSelected(SelectionEvent e) {
+                missingDataRadioButton.setEnabled(elongateSequecesCheckBox.getSelection());
+                gapRadioButton.setEnabled(elongateSequecesCheckBox.getSelection());
+            }
+        });
+        FormData fd_btnElongateSequecesTo = new FormData();
+        fd_btnElongateSequecesTo.left = new FormAttachment(exportSingleReadsCB, 0, SWT.LEFT);
+        fd_btnElongateSequecesTo.top = new FormAttachment(lblSpecifyAdditionalExport, 12);
+        elongateSequecesCheckBox.setLayoutData(fd_btnElongateSequecesTo);
+        elongateSequecesCheckBox.setText("Elongate sequences to have equal length with:");
+        dbc.bindValue(SWTObservables.observeSelection(elongateSequecesCheckBox), getWizard().getModel().getElongateSequencesObservable());
+
+        missingDataRadioButton = new Button(container, SWT.RADIO);
+        FormData fd_missingDataRadioButton = new FormData();
+        fd_missingDataRadioButton.top = new FormAttachment(elongateSequecesCheckBox, 6);
+        missingDataRadioButton.setLayoutData(fd_missingDataRadioButton);
+        missingDataRadioButton.setEnabled(false);
+        missingDataRadioButton.setText("Missing data ('?')");
+
+        gapRadioButton = new Button(container, SWT.RADIO);
+        fd_missingDataRadioButton.left = new FormAttachment(gapRadioButton, 80);
+        FormData fd_gapRadioButton = new FormData();
+        fd_gapRadioButton.top = new FormAttachment(elongateSequecesCheckBox, 6);
+        fd_gapRadioButton.left = new FormAttachment(consensusSequenceLabelTextField, 0, SWT.LEFT);
+        gapRadioButton.setLayoutData(fd_gapRadioButton);
+        gapRadioButton.setEnabled(false);
+        gapRadioButton.setSelection(true);
+        gapRadioButton.setText("Gap ('-')");
+        dbc.bindValue(SWTObservables.observeSelection(gapRadioButton), getWizard().getModel().getUseGapTokenObservable());
+
+        setPageComplete(true);  // Allow to finish the wizard in the previous page.
+
+        dbc.addValidationStatusProvider(new MultiValidator() {
+            @Override
+            protected IStatus validate() {
+                String label = (String)consensusSequenceLabelObservable.getValue();
+                boolean exportConsensus = (Boolean)exportConsensusSequenceObservable.getValue();
+                boolean exportReads = (Boolean)exportSingleReadsObservable.getValue();
+
+                if (!exportConsensus && !exportReads) {
+                    return ValidationStatus.error(Messages.wizardExportAlignmentErrorNothingToExport);
+                }
+                else if (exportConsensus && ((label == null) || label.isEmpty())) {
+                    return ValidationStatus.error(Messages.wizardExportAlignmentErrorMissingSeqLabel);
+                }
+                else {
+                    return ValidationStatus.ok();
+                }
+            }
+        });
+    }
+}
